[Molly Brown](https://tildegit.org/solderpunk/molly-brown) server for the 
[Gemini](https://gemini.circumlunar.space/) protocol.

Needs to run with a tty.

# Volumes
- `/var/gemini/`: root directory for files
- `/etc/molly-brown/keys`: key files

# Files
## /etc/molly-brown/keys/key.pem, /etc/molly-brown/keys/cert.pem
```
openssl req -x509 -newkey rsa:4096 -keyout "./key.pem" -out "./cert.pem" -days 3650 -nodes -subj "/CN=$HOST_NAME"
cat ./key.pem
cat ./cert.pem
```

Do not forget to set a timer for when it expires.

# Environment Variables
## HOST_NAME
The hostname to respond to requests for.

## DEFAULT_LANG
- default: en

`lang` parameter of the MIME type for all `text/gemini` content.

# Ports
- 1965
